EarPluginConvention (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ear

## [Java] Class EarPluginConvention

- org.gradle.plugins.ear.EarPluginConvention

- Ear Plugin Convention.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EarPluginConvention (org.gradle.internal.reflect.Instantiator instantiator)`
    `EarPluginConvention (org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appDirName(String appDirName)` Allows changing the application directory.
    `EarPluginConvention` | `deploymentDescriptor(groovy.lang.Closure configureClosure)` Configures the deployment descriptor for this EAR archive.
    `String` | `getAppDirName()` The name of the application directory, relative to the project directory.
    `DeploymentDescriptor` | `getDeploymentDescriptor()` A custom deployment descriptor configuration.
    `String` | `getLibDirName()` The name of the library directory in the EAR file.
    `void` | `libDirName(String libDirName)` Allows changing the library directory in the EAR file.
    `void` | `setAppDirName(String appDirName)`
    `void` | `setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)`
    `void` | `setLibDirName(String libDirName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### @Deprecated @javax.inject.Inject public EarPluginConvention(org.gradle.internal.reflect.Instantiator instantiator)

    - #### @javax.inject.Inject public EarPluginConvention(org.gradle.api.internal.file.FileResolver fileResolver, org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### public void appDirName(String appDirName)

      Allows changing the application directory. Default is "src/main/application".

    - #### public EarPluginConvention deploymentDescriptor(groovy.lang.Closure configureClosure)

      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The DeploymentDescriptor is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.

    - #### public String getAppDirName()

      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### public DeploymentDescriptor getDeploymentDescriptor()

      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### public String getLibDirName()

      The name of the library directory in the EAR file. Default is "lib".

    - #### public void libDirName(String libDirName)

      Allows changing the library directory in the EAR file. Default is "lib".

    - #### public void setAppDirName(String appDirName)

    - #### public void setDeploymentDescriptor(DeploymentDescriptor deploymentDescriptor)

    - #### public void setLibDirName(String libDirName)